
import { Component, Label, Layers, Node, _decorator } from 'cc';
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = TestManyLabels
 * DateTime = Mon Nov 29 2021 14:35:35 GMT+0800 (中国标准时间)
 * Author = drelaptop
 * FileBasename = TestManyLabels.ts
 * FileBasenameNoExtension = TestManyLabels
 * URL = db://assets/TestManyLabels.ts
 * ManualUrl = https://docs.cocos.com/creator/3.4/manual/zh/
 *
 */

@ccclass('TestManyLabels')
export class TestManyLabels extends Component {
    // [1]
    // dummy = '';

    // [2]
    // @property
    // serializableDummy = 0;

    start() {
        let node = new Node()
        node.layer = Layers.Enum.UI_2D
        let lbl = node.addComponent(Label)
        lbl.string = `LabelModeTest`
        // bug：Label 缓存模式 CHAR 模式动态创建不显示，改为 None 模式正常
        lbl.cacheMode = Label.CacheMode.CHAR
        node.parent = this.node
    }

    // update (deltaTime: number) {
    //     // [4]
    // }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.4/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.4/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.4/manual/zh/scripting/life-cycle-callbacks.html
 */
